From 51059778a4ee8c174bd1b336ce3c3d5b4112fb4f Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven@rezic.de>
Date: Fri, 28 Feb 2025 20:13:27 +0100
Subject: [PATCH] recursive_whois: allow case insensitive match of OrgID

It seems that at least whois.arin.net does not use anymore OrgID but
OrgId, like this:

    OrgId:          RIPE

So make the match in recursive_whois case insensitive.
---
 lib/Net/Whois/Raw.pm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lib/Net/Whois/Raw.pm b/lib/Net/Whois/Raw.pm
index 8939d6e..bef86bd 100644
--- a/lib/Net/Whois/Raw.pm
+++ b/lib/Net/Whois/Raw.pm
@@ -191,7 +191,7 @@ sub recursive_whois {
         elsif ( /Contact information can be found in the (\S+)\s+database/ ) {
             $newsrv = $Net::Whois::Raw::Data::ip_whois_servers{ $1 };
         }
-        elsif ( ( /OrgID:\s+(\w+)/ || /descr:\s+(\w+)/ ) && Net::Whois::Raw::Common::is_ipaddr( $dom ) ) {
+        elsif ( ( /OrgID:\s+(\w+)/i || /descr:\s+(\w+)/ ) && Net::Whois::Raw::Common::is_ipaddr( $dom ) ) {
             my $val = $1;
             if ( $val =~ /^(?:RIPE|APNIC|KRNIC|LACNIC)$/ ) {
                 $newsrv = $Net::Whois::Raw::Data::ip_whois_servers{ $val };
